PDF bug in stable release

Jouni K. Seppänen <jks@...278...> writes:

Have you tried the instructions in release/osx/README? It seems that on
OS X it is easy to accidentally install a combination of libraries that
will cause build problems with matplotlib:

http://matplotlib.sourceforge.net/users/installing.html#build-osx

Also, it seems that John has uploaded a new release candidate at

http://drop.io/xortel1#

so you could try and see if it works for you. Please note that it's a
release candidate, not a stable release.

···

--
Jouni K. Seppänen
http://www.iki.fi/jks

I tried installing the two Mac OS X packages I found here. The .dmg file seems to have installed somewhere other than my EPD python path - doesn't seem to be in the Apple supplied Framework location either, so I'm sort of stumped on that one. The egg I tried to install with EPD's easy_install, and got the result below.

On a positive note, I seem to have been able to successfully compile matplotlib on RHEL (my deployment platform), so if I can get Mac (my development platform) figured out, I'll be golden!

sudo easy_install matplotlib-0.99.3rc1_r0-py2.6-macosx-10.6-universal.egg

Processing matplotlib-0.99.3rc1_r0-py2.6-macosx-10.6-universal.egg
creating /Library/Frameworks/EPD64.framework/Versions/6.0.0/lib/python2.6/site-packages/matplotlib-0.99.3rc1_r0-py2.6-macosx-10.6-universal.egg
Extracting matplotlib-0.99.3rc1_r0-py2.6-macosx-10.6-universal.egg to /Library/Frameworks/EPD64.framework/Versions/6.0.0/lib/python2.6/site-packages
Adding matplotlib 0.99.3rc1-r0 to easy-install.pth file

Installed /Library/Frameworks/EPD64.framework/Versions/6.0.0/lib/python2.6/site-packages/matplotlib-0.99.3rc1_r0-py2.6-macosx-10.6-universal.egg
Processing dependencies for matplotlib==0.99.3rc1-r0
Searching for matplotlib==0.99.3rc1-r0
Reading http://pypi.python.org/simple/matplotlib/
Reading http://matplotlib.sourceforge.net
Reading http://sourceforge.net/project/showfiles.php?group_id=80706
Reading http://sourceforge.net/project/showfiles.php?group_id=80706&package_id=82474
Reading https://sourceforge.net/project/showfiles.php?group_id=80706&package_id=278194
Reading https://sourceforge.net/project/showfiles.php?group_id=80706&package_id=82474
Reading https://sourceforge.net/projects/matplotlib/files/matplotlib/matplotlib-0.99.1/
No local packages or download links found for matplotlib==0.99.3rc1-r0
error: Could not find suitable distribution for Requirement.parse('matplotlib==0.99.3rc1-r0')

···

On Mar 14, 2010, at 4:22 AM, Jouni K. Seppänen wrote:

Jouni K. Seppänen <jks@...278...> writes:

Have you tried the instructions in release/osx/README? It seems that on
OS X it is easy to accidentally install a combination of libraries that
will cause build problems with matplotlib:

http://matplotlib.sourceforge.net/users/installing.html#build-osx

Also, it seems that John has uploaded a new release candidate at

http://drop.io/xortel1#

so you could try and see if it works for you. Please note that it's a
release candidate, not a stable release.

--
Jouni K. Seppänen
http://www.iki.fi/jks

------------------------------------------------------------------------------
Download Intel&#174; Parallel Studio Eval
Try the new software tools for yourself. Speed compiling, find bugs
proactively, and fine-tune applications for parallel performance.
See why Intel Parallel Studio got high marks during beta.
http://p.sf.net/sfu/intel-sw-dev
_______________________________________________
Matplotlib-devel mailing list
Matplotlib-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/matplotlib-devel